summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Gathoye2018-04-25 00:10:39 +0200
committerWilliam Gathoye2018-04-25 00:10:39 +0200
commita9d21bd08a745d02d7f64103e77ee4f02a551dbe (patch)
treec31005b899d23a142c4f1bb213eebcab823617f8
parent67ba11023aebd03233e5f649e35aadbbf5312df4 (diff)
downloadaur-a9d21bd08a745d02d7f64103e77ee4f02a551dbe.tar.gz
Sanitize PKGBUILD according to Arch guidelines
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD594
2 files changed, 298 insertions, 302 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 418f90601d2..e3e41f81826 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = php70
- pkgdesc = PHP scripting language package for stable release of 7.0 series
+ pkgdesc = A general-purpose scripting language that is especially suited to web development (old stable 7.0 series)
pkgver = 7.0.29
- pkgrel = 1
+ pkgrel = 2
url = http://www.php.net
arch = i686
arch = x86_64
@@ -57,8 +57,6 @@ pkgname = php70
depends = libzip
depends = pcre
provides = php=7.0.29
- conflicts = php70-ldap
- replaces = php70-ldap
backup = etc/php70/php.ini
pkgname = php70-cgi
diff --git a/PKGBUILD b/PKGBUILD
index 7607eb6c584..5b1995b3cb5 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,44 +1,48 @@
-# $Id$
-# Maintainer: Michael Rynn <michael.rynn@parracan.org>
-# Derived very much from arch php packages for 7.1.1 in extra and php56 in AUR
-# This is much the same as php56 package
-# Maintainer: mickael9 <mickael9 at gmail.com>
-# Contributor: Pierre Schmitz <pierre@archlinux.de>
-# Contributor: Thore Bödecker <me@foxxx0.de>
-#
+# Maintainer: William Gathoye <william + aur at gathoye dot be>
+# Contributor: Michael Rynn <michael dot rynn at parracan dot org>
+# Contributor: mickael9 <mickael9 at gmail dot com>
+# Contributor: Pierre Schmitz <pierre at archlinux dot de>
+# Contributor: Thore Bödecker <me at foxxx0 dot de>
+# Credit goes also to the maintainers and contributors of other PHP versions in
+# AUR or official Arch Linux repositories. Specific patches might include code
+# from other open source projects. In that case, credit is attributed in the
+# specific commit.
+
pkgbase=php70
_pkgbase=${pkgbase%70}
-pkgname=("${pkgbase}"
- "${pkgbase}-cgi"
- "${pkgbase}-apache"
- "${pkgbase}-fpm"
- "${pkgbase}-embed"
- "${pkgbase}-phpdbg"
- "${pkgbase}-dblib"
- "${pkgbase}-enchant"
- "${pkgbase}-gd"
- "${pkgbase}-imap"
- "${pkgbase}-intl"
- "${pkgbase}-mcrypt"
- "${pkgbase}-odbc"
- "${pkgbase}-pgsql"
- "${pkgbase}-pspell"
- "${pkgbase}-snmp"
- "${pkgbase}-sqlite"
- "${pkgbase}-tidy"
- "${pkgbase}-xsl")
+pkgname=(
+ "${pkgbase}"
+ "${pkgbase}-cgi"
+ "${pkgbase}-apache"
+ "${pkgbase}-fpm"
+ "${pkgbase}-embed"
+ "${pkgbase}-phpdbg"
+ "${pkgbase}-dblib"
+ "${pkgbase}-enchant"
+ "${pkgbase}-gd"
+ "${pkgbase}-imap"
+ "${pkgbase}-intl"
+ "${pkgbase}-mcrypt"
+ "${pkgbase}-odbc"
+ "${pkgbase}-pgsql"
+ "${pkgbase}-pspell"
+ "${pkgbase}-snmp"
+ "${pkgbase}-sqlite"
+ "${pkgbase}-tidy"
+ "${pkgbase}-xsl"
+)
pkgver=7.0.29
-pkgrel=1
-pkgdesc="PHP scripting language package for stable release of 7.0 series"
+pkgrel=2
+pkgdesc='A general-purpose scripting language that is especially suited to web development (old stable 7.0 series)'
arch=('i686' 'x86_64')
+url='http://www.php.net'
license=('PHP')
-
-url='http://www.php.net'
-makedepends=('apache' 'aspell' 'db' 'enchant' 'gd' 'gmp' 'icu'
- 'libmcrypt' 'libxslt' 'libzip' 'net-snmp'
- 'postgresql-libs' 'sqlite' 'systemd' 'tidy' 'unixodbc' 'curl'
- 'libtool' 'freetds' 'pcre' 'c-client')
+makedepends=(
+ 'apache' 'aspell' 'db' 'enchant' 'gd' 'gmp' 'icu' 'libmcrypt' 'libxslt'
+ 'libzip' 'net-snmp' 'postgresql-libs' 'sqlite' 'systemd' 'tidy' 'unixodbc'
+ 'curl' 'libtool' 'freetds' 'pcre' 'c-client'
+)
source=(
"https://php.net/distributions/${_pkgbase}-${pkgver}.tar.xz"{,.asc}
@@ -64,356 +68,350 @@ sha512sums=(
'33d40f3ae500cf583519ecfa271e36d727c38ff4ea9547d3d2c4d51c9fadd317ed614a048077ebdb116e3c84c11db95e6455cdfc80d092d217d070c98af56525'
)
-# keys from http://php.net/downloads.php#gpg-7.0
-#
-#pub 2048R/9C0D5763 2015-06-09 [expires: 2024-06-06]
-#key fingerprint = 1A4E 8B72 77C4 2E53 DBA9 C7B9 BCAA 30EA 9C0D 5763
-#uid Anatol Belski <ab@php.net>
-
-#pub 2048R/33CFC8B3 2014-01-14 [expires: 2020-01-13]
-#Key fingerprint = 6E4F 6AB3 21FD C07F 2C33 2E3A C2BF 0BC4 33CF C8B3
-#uid Ferenc Kovacs <tyrael@php.net>
-#
-# This command line works on my setup.
-# gpg --recv-keys 1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763
-#
-
validpgpkeys=(
- '1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763'
- '6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3'
+ # PGP keys from PHP maintainer (upstream)
+ # src.: http://php.net/downloads.php#gpg-7.0
+ # pub 2048R/9C0D5763 2015-06-09 [expires: 2024-06-06]
+ # Key fingerprint = 1A4E 8B72 77C4 2E53 DBA9 C7B9 BCAA 30EA 9C0D 5763
+ # uid Anatol Belski <ab@php.net>
+ #
+ # pub 2048R/33CFC8B3 2014-01-14 [expires: 2020-01-13]
+ # Key fingerprint = 6E4F 6AB3 21FD C07F 2C33 2E3A C2BF 0BC4 33CF C8B3
+ # uid Ferenc Kovacs <tyrael@php.net>
+ #
+ # If you trust them, you can import them with
+ # gpg --recv-keys 1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763 6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3
+ # Receiving GPG keys might fail with the following error message:
+ # gpg: keyserver receive failed: Connection refused
+ # If this happens, just check your DNS or use another one.
+ '1A4E8B7277C42E53DBA9C7B9BCAA30EA9C0D5763'
+ '6E4F6AB321FDC07F2C332E3AC2BF0BC433CFC8B3'
)
prepare() {
- cd ${srcdir}/${_pkgbase}-${pkgver}
+ cd ${srcdir}/${_pkgbase}-${pkgver}
- patch -p0 -i ${srcdir}/apache.patch
- patch -p0 -i ${srcdir}/php-fpm.patch
- patch -p0 -i ${srcdir}/php.ini.patch
- patch -p0 -i ${srcdir}/enchant-2.patch
+ patch -p0 -i ${srcdir}/apache.patch
+ patch -p0 -i ${srcdir}/php-fpm.patch
+ patch -p0 -i ${srcdir}/php.ini.patch
+ patch -p0 -i ${srcdir}/enchant-2.patch
patch -p1 -i ${srcdir}/php-icu-1100-Utilize-the-recommended-way-to-handle-the-icu-namespace.patch
patch -p1 -i ${srcdir}/php-icu-1101-Simplify-namespace-access.patch
}
build() {
- local _phpconfig="--srcdir=../${_pkgbase}-${pkgver} \
- --config-cache \
- --prefix=/usr \
- --sbindir=/usr/bin \
- --sysconfdir=/etc/${pkgbase} \
- --localstatedir=/var \
- --libdir=/usr/lib/${pkgbase} \
- --datarootdir=/usr/share/${pkgbase} \
- --datadir=/usr/share/${pkgbase} \
- --program-suffix=${pkgbase#php} \
- --with-layout=GNU \
- --with-config-file-path=/etc/${pkgbase} \
- --with-config-file-scan-dir=/etc/${pkgbase}/conf.d \
- --disable-rpath \
- --without-pear \
- "
-
- local _phpextensions="\
- --enable-bcmath=shared \
- --enable-calendar=shared \
- --enable-dba=shared \
- --enable-exif=shared \
- --enable-ftp=shared \
- --enable-gd-native-ttf \
- --enable-intl=shared \
- --enable-mbstring \
- --enable-shmop=shared \
- --enable-soap=shared \
- --enable-sockets=shared \
- --enable-sysvmsg=shared \
- --enable-sysvsem=shared \
- --enable-sysvshm=shared \
- --enable-zip=shared \
- --with-bz2=shared \
- --with-curl=shared \
- --with-db4=/usr \
- --with-enchant=shared,/usr \
- --with-freetype-dir=/usr \
- --with-gd=shared,/usr \
- --with-gdbm \
- --with-gettext=shared \
- --with-gmp=shared \
- --with-iconv=shared \
- --with-imap-ssl \
- --with-imap=shared \
- --with-kerberos=/usr \
- --with-ldap=shared \
- --with-ldap-sasl \
- --with-libzip \
- --with-mcrypt=shared \
- --with-mhash \
- --with-mysql-sock=/run/mysqld/mysqld.sock \
- --with-mysqli=shared,mysqlnd \
- --with-openssl \
- --with-pcre-regex=/usr \
- --with-pdo-dblib=shared,/usr \
- --with-pdo-mysql=shared,mysqlnd \
- --with-pdo-odbc=shared,unixODBC,/usr \
- --with-pdo-pgsql=shared \
- --with-pdo-sqlite=shared,/usr \
- --with-pgsql=shared \
- --with-pspell=shared \
- --with-readline \
- --with-snmp=shared \
- --with-sqlite3=shared,/usr \
- --with-tidy=shared \
- --with-unixODBC=shared,/usr \
- --with-xmlrpc=shared \
- --with-xsl=shared \
- --with-zlib \
- --enable-pcntl \
- "
-
- EXTENSION_DIR=/usr/lib/${pkgbase}/modules
- export EXTENSION_DIR
-
- local _build="${srcdir}/build"
- mkdir ${_build}
- cd ${_build}
- ln -s ../${_pkgbase}-${pkgver}/configure
-
- ./configure ${_phpconfig} \
- --enable-cgi \
- --enable-fpm \
- --with-fpm-systemd \
- --with-fpm-acl \
- --with-fpm-user=http \
- --with-fpm-group=http \
- --enable-embed=shared \
- ${_phpextensions}
- make
- cd ../../
- # apache
- # reuse the previous run; this will save us a lot of time
- cp -a ${_build} ${srcdir}/build-apache
- cd ${srcdir}/build-apache
-
- ./configure ${_phpconfig} \
- --with-apxs2 \
- ${_phpextensions}
- make
- cd ../../
- # phpdbg
- cp -a ${_build} ${srcdir}/build-phpdbg
- cd ${srcdir}/build-phpdbg
-
- ./configure ${_phpconfig} \
- --enable-phpdbg \
- ${_phpextensions}
- make
- cd ../../
+ local _phpconfig="--srcdir=../${_pkgbase}-${pkgver} \
+ --config-cache \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --sysconfdir=/etc/${pkgbase} \
+ --localstatedir=/var \
+ --libdir=/usr/lib/${pkgbase} \
+ --datarootdir=/usr/share/${pkgbase} \
+ --datadir=/usr/share/${pkgbase} \
+ --program-suffix=${pkgbase#php} \
+ --with-layout=GNU \
+ --with-config-file-path=/etc/${pkgbase} \
+ --with-config-file-scan-dir=/etc/${pkgbase}/conf.d \
+ --disable-rpath \
+ --without-pear \
+ "
+
+ local _phpextensions="\
+ --enable-bcmath=shared \
+ --enable-calendar=shared \
+ --enable-dba=shared \
+ --enable-exif=shared \
+ --enable-ftp=shared \
+ --enable-gd-native-ttf \
+ --enable-intl=shared \
+ --enable-mbstring \
+ --enable-shmop=shared \
+ --enable-soap=shared \
+ --enable-sockets=shared \
+ --enable-sysvmsg=shared \
+ --enable-sysvsem=shared \
+ --enable-sysvshm=shared \
+ --enable-zip=shared \
+ --with-bz2=shared \
+ --with-curl=shared \
+ --with-db4=/usr \
+ --with-enchant=shared,/usr \
+ --with-freetype-dir=/usr \
+ --with-gd=shared,/usr \
+ --with-gdbm \
+ --with-gettext=shared \
+ --with-gmp=shared \
+ --with-iconv=shared \
+ --with-imap-ssl \
+ --with-imap=shared \
+ --with-kerberos=/usr \
+ --with-ldap=shared \
+ --with-ldap-sasl \
+ --with-libzip \
+ --with-mcrypt=shared \
+ --with-mhash \
+ --with-mysql-sock=/run/mysqld/mysqld.sock \
+ --with-mysqli=shared,mysqlnd \
+ --with-openssl \
+ --with-pcre-regex=/usr \
+ --with-pdo-dblib=shared,/usr \
+ --with-pdo-mysql=shared,mysqlnd \
+ --with-pdo-odbc=shared,unixODBC,/usr \
+ --with-pdo-pgsql=shared \
+ --with-pdo-sqlite=shared,/usr \
+ --with-pgsql=shared \
+ --with-pspell=shared \
+ --with-readline \
+ --with-snmp=shared \
+ --with-sqlite3=shared,/usr \
+ --with-tidy=shared \
+ --with-unixODBC=shared,/usr \
+ --with-xmlrpc=shared \
+ --with-xsl=shared \
+ --with-zlib \
+ --enable-pcntl \
+ "
+
+ EXTENSION_DIR=/usr/lib/${pkgbase}/modules
+ export EXTENSION_DIR
+
+ local _build="${srcdir}/build"
+ mkdir ${_build}
+ cd ${_build}
+ ln -s ../${_pkgbase}-${pkgver}/configure
+
+ ./configure ${_phpconfig} \
+ --enable-cgi \
+ --enable-fpm \
+ --with-fpm-systemd \
+ --with-fpm-acl \
+ --with-fpm-user=http \
+ --with-fpm-group=http \
+ --enable-embed=shared \
+ ${_phpextensions}
+ make
+ cd ../../
+ # apache
+ # reuse the previous run; this will save us a lot of time
+ cp -a ${_build} ${srcdir}/build-apache
+ cd ${srcdir}/build-apache
+
+ ./configure ${_phpconfig} \
+ --with-apxs2 \
+ ${_phpextensions}
+ make
+ cd ../../
+ # phpdbg
+ cp -a ${_build} ${srcdir}/build-phpdbg
+ cd ${srcdir}/build-phpdbg
+
+ ./configure ${_phpconfig} \
+ --enable-phpdbg \
+ ${_phpextensions}
+ make
+ cd ../../
}
-#
+
# Its a good idea to have extensions specified by extension.ini files in the conf.d directory,
# so they are unaffected by upgrades.
-#
package_php70() {
- pkgdesc='A general-purpose scripting language that is especially suited to web development'
- depends=('libxml2' 'curl' 'libzip' 'pcre')
- replaces=('php70-ldap')
- conflicts=('php70-ldap')
- provides=("${_pkgbase}=$pkgver")
- backup=("etc/${pkgbase}/php.ini")
-
- cd ${srcdir}/build
- make -j1 INSTALL_ROOT=${pkgdir} install-{modules,cli,build,headers,programs,pharcmd}
- install -D -m644 ${srcdir}/${_pkgbase}-${pkgver}/php.ini-production ${pkgdir}/etc/${pkgbase}/php.ini
- install -d -m755 ${pkgdir}/etc/${pkgbase}/conf.d/
-
- # remove static modules
- rm -f ${pkgdir}/usr/lib/${pkgbase}/modules/*.a
- # remove modules provided by sub packages
- rm -f ${pkgdir}/usr/lib/${pkgbase}/modules/{enchant,gd,imap,intl,mcrypt,odbc,pdo_dblib,pdo_odbc,pgsql,pdo_pgsql,pspell,snmp,sqlite3,pdo_sqlite,tidy,xsl}.so
- # remove empty directory
- rmdir ${pkgdir}/usr/include/php/include
-
-# move include directory
- mv ${pkgdir}/usr/include/php ${pkgdir}/usr/include/${pkgbase}
-
-# fix phar symlink
- rm ${pkgdir}/usr/bin/phar
- ln -sf phar.${pkgbase/php/phar} ${pkgdir}/usr/bin/${pkgbase/php/phar}
-
- # rename executables
- mv ${pkgdir}/usr/bin/phar.{phar,${pkgbase/php/phar}}
-
- # rename man pages
- mv ${pkgdir}/usr/share/man/man1/{phar,${pkgbase/php/phar}}.1
- mv ${pkgdir}/usr/share/man/man1/phar.{phar,${pkgbase/php/phar}}.1
-
- # fix paths in executables
- sed -i "/^includedir=/c \includedir=/usr/include/${pkgbase}" ${pkgdir}/usr/bin/${pkgbase/php/phpize}
- sed -i "/^include_dir=/c \include_dir=/usr/include/${pkgbase}" ${pkgdir}/usr/bin/${pkgbase/php/php-config}
-
- # make phpize use php-config70
- sed -i "/^\[ --with-php-config=/c \[ --with-php-config=PATH Path to php-config [${pkgbase/php/php-config}]], ${pkgbase/php/php-config}, no)" ${pkgdir}/usr/lib/${pkgbase}/build/phpize.m4
+ pkgdesc='A general-purpose scripting language that is especially suited to web development'
+ depends=('libxml2' 'curl' 'libzip' 'pcre')
+ provides=("${_pkgbase}=$pkgver")
+ backup=("etc/${pkgbase}/php.ini")
+
+ cd ${srcdir}/build
+ make -j1 INSTALL_ROOT=${pkgdir} install-{modules,cli,build,headers,programs,pharcmd}
+ install -D -m644 ${srcdir}/${_pkgbase}-${pkgver}/php.ini-production ${pkgdir}/etc/${pkgbase}/php.ini
+ install -d -m755 ${pkgdir}/etc/${pkgbase}/conf.d/
+
+ # remove static modules
+ rm -f ${pkgdir}/usr/lib/${pkgbase}/modules/*.a
+ # remove modules provided by sub packages
+ rm -f ${pkgdir}/usr/lib/${pkgbase}/modules/{enchant,gd,imap,intl,mcrypt,odbc,pdo_dblib,pdo_odbc,pgsql,pdo_pgsql,pspell,snmp,sqlite3,pdo_sqlite,tidy,xsl}.so
+
+ # remove empty directory
+ rmdir ${pkgdir}/usr/include/php/include
+
+ # move include directory
+ mv ${pkgdir}/usr/include/php ${pkgdir}/usr/include/${pkgbase}
+
+ # fix phar symlink
+ rm ${pkgdir}/usr/bin/phar
+ ln -sf phar.${pkgbase/php/phar} ${pkgdir}/usr/bin/${pkgbase/php/phar}
+
+ # rename executables
+ mv ${pkgdir}/usr/bin/phar.{phar,${pkgbase/php/phar}}
+
+ # rename man pages
+ mv ${pkgdir}/usr/share/man/man1/{phar,${pkgbase/php/phar}}.1
+ mv ${pkgdir}/usr/share/man/man1/phar.{phar,${pkgbase/php/phar}}.1
+
+ # fix paths in executables
+ sed -i "/^includedir=/c \includedir=/usr/include/${pkgbase}" ${pkgdir}/usr/bin/${pkgbase/php/phpize}
+ sed -i "/^include_dir=/c \include_dir=/usr/include/${pkgbase}" ${pkgdir}/usr/bin/${pkgbase/php/php-config}
+
+ # make phpize use php-config70
+ sed -i "/^\[ --with-php-config=/c \[ --with-php-config=PATH Path to php-config [${pkgbase/php/php-config}]], ${pkgbase/php/php-config}, no)" ${pkgdir}/usr/lib/${pkgbase}/build/phpize.m4
}
-# It seems apache only allows one version
package_php70-cgi() {
- pkgdesc='CGI and FCGI SAPI for PHP'
- depends=("${pkgbase}")
- provides=("${_pkgbase}-cgi=$pkgver")
+ pkgdesc='CGI and FCGI SAPI for PHP'
+ depends=("${pkgbase}")
+ provides=("${_pkgbase}-cgi=$pkgver")
- cd ${srcdir}/build
- make -j1 INSTALL_ROOT=${pkgdir} install-cgi
+ cd ${srcdir}/build
+ make -j1 INSTALL_ROOT=${pkgdir} install-cgi
}
package_php70-apache() {
- pkgdesc='Apache SAPI for PHP'
- depends=("${pkgbase}" 'apache')
- backup=("etc/httpd/conf/extra/${pkgbase}_module.conf")
- echo "# End of LoadModule in httpd.conf - see ArchWiki Apache HTTP Server"
- echo "LoadModule php7_module modules/libphp70.so"
- echo "AddHandler php7-script .php"
- echo "# End of Include List"
- echo "Include conf/extra/php70_module.conf"
- install -D -m755 ${srcdir}/build-apache/libs/libphp7.so ${pkgdir}/usr/lib/httpd/modules/lib${pkgbase}.so
- install -D -m644 ${srcdir}/apache.conf ${pkgdir}/etc/httpd/conf/extra/${pkgbase}_module.conf
+ pkgdesc='Apache SAPI for PHP'
+ depends=("${pkgbase}" 'apache')
+ backup=("etc/httpd/conf/extra/${pkgbase}_module.conf")
+
+ install -D -m755 ${srcdir}/build-apache/libs/libphp7.so ${pkgdir}/usr/lib/httpd/modules/lib${pkgbase}.so
+ install -D -m644 ${srcdir}/apache.conf ${pkgdir}/etc/httpd/conf/extra/${pkgbase}_module.conf
}
package_php70-fpm() {
- pkgdesc='FastCGI Process Manager for PHP'
- depends=("${pkgbase}" 'systemd')
- backup=("etc/${pkgbase}/php-fpm.conf" "etc/${pkgbase}/php-fpm.d/php-fpm.conf")
+ pkgdesc='FastCGI Process Manager for PHP'
+ depends=("${pkgbase}" 'systemd')
+ backup=("etc/${pkgbase}/php-fpm.conf" "etc/${pkgbase}/php-fpm.d/php-fpm.conf")
options=('!emptydirs')
- cd ${srcdir}/build
- make -j1 INSTALL_ROOT=${pkgdir} install-fpm
- install -D -m644 sapi/fpm/php-fpm.service ${pkgdir}/usr/lib/systemd/system/${pkgbase}-fpm.service
- install -D -m644 ${srcdir}/php-fpm.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/${pkgbase}-fpm.conf
+ cd ${srcdir}/build
+ make -j1 INSTALL_ROOT=${pkgdir} install-fpm
+ install -D -m644 sapi/fpm/php-fpm.service ${pkgdir}/usr/lib/systemd/system/${pkgbase}-fpm.service
+ install -D -m644 ${srcdir}/php-fpm.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/${pkgbase}-fpm.conf
}
package_php70-embed() {
- pkgdesc='Embedded PHP SAPI library'
- depends=("${pkgbase}")
- provides=("${pkgbase}-embed=$pkgver")
- options=('!emptydirs')
+ pkgdesc='Embedded PHP SAPI library'
+ depends=("${pkgbase}")
+ provides=("${pkgbase}-embed=$pkgver")
+ options=('!emptydirs')
- cd ${srcdir}/build
- make -j1 INSTALL_ROOT=${pkgdir} PHP_SAPI=embed install-sapi
+ cd ${srcdir}/build
+ make -j1 INSTALL_ROOT=${pkgdir} PHP_SAPI=embed install-sapi
}
package_php70-phpdbg() {
- pkgdesc='Interactive PHP debugger'
- depends=("${pkgbase}")
- provides=("${pkgbase}-phpdbg=$pkgver")
- options=('!emptydirs')
+ pkgdesc='Interactive PHP debugger'
+ depends=("${pkgbase}")
+ provides=("${pkgbase}-phpdbg=$pkgver")
+ options=('!emptydirs')
- cd ${srcdir}/build-phpdbg
- make -j1 INSTALL_ROOT=${pkgdir} install-phpdbg
+ cd ${srcdir}/build-phpdbg
+ make -j1 INSTALL_ROOT=${pkgdir} install-phpdbg
}
package_php70-dblib() {
- pkgdesc='dblib module for PHP'
- depends=("${pkgbase}")
- provides=("${pkgbase}-dblib=$pkgver")
+ pkgdesc='dblib module for PHP'
+ depends=("${pkgbase}")
+ provides=("${pkgbase}-dblib=$pkgver")
- install -D -m755 ${srcdir}/build/modules/pdo_dblib.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_dblib.so
+ install -D -m755 ${srcdir}/build/modules/pdo_dblib.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_dblib.so
}
package_php70-enchant() {
- pkgdesc='enchant module for PHP'
- depends=("${pkgbase}" 'enchant')
- provides=("${pkgbase}-enchant=$pkgver")
+ pkgdesc='enchant module for PHP'
+ depends=("${pkgbase}" 'enchant')
+ provides=("${pkgbase}-enchant=$pkgver")
- install -D -m755 ${srcdir}/build/modules/enchant.so ${pkgdir}/usr/lib/${pkgbase}/modules/enchant.so
+ install -D -m755 ${srcdir}/build/modules/enchant.so ${pkgdir}/usr/lib/${pkgbase}/modules/enchant.so
}
package_php70-gd() {
- pkgdesc='gd module for PHP'
- depends=("${pkgbase}" 'gd')
- provides=("${pkgbase}-gd=$pkgver")
+ pkgdesc='gd module for PHP'
+ depends=("${pkgbase}" 'gd')
+ provides=("${pkgbase}-gd=$pkgver")
- install -D -m755 ${srcdir}/build/modules/gd.so ${pkgdir}/usr/lib/${pkgbase}/modules/gd.so
+ install -D -m755 ${srcdir}/build/modules/gd.so ${pkgdir}/usr/lib/${pkgbase}/modules/gd.so
}
package_php70-imap() {
- pkgdesc='imap module for PHP'
- depends=("${pkgbase}" 'c-client')
- provides=("${pkgbase}-imap=$pkgver")
+ pkgdesc='imap module for PHP'
+ depends=("${pkgbase}" 'c-client')
+ provides=("${pkgbase}-imap=$pkgver")
- install -D -m755 ${srcdir}/build/modules/imap.so ${pkgdir}/usr/lib/${pkgbase}/modules/imap.so
+ install -D -m755 ${srcdir}/build/modules/imap.so ${pkgdir}/usr/lib/${pkgbase}/modules/imap.so
}
package_php70-intl() {
- pkgdesc='intl module for PHP'
- depends=("${pkgbase}" 'icu')
- provides=("${pkgbase}-intl=$pkgver")
+ pkgdesc='intl module for PHP'
+ depends=("${pkgbase}" 'icu')
+ provides=("${pkgbase}-intl=$pkgver")
- install -D -m755 ${srcdir}/build/modules/intl.so ${pkgdir}/usr/lib/${pkgbase}/modules/intl.so
+ install -D -m755 ${srcdir}/build/modules/intl.so ${pkgdir}/usr/lib/${pkgbase}/modules/intl.so
}
package_php70-mcrypt() {
- pkgdesc='mcrypt module for PHP'
- depends=("${pkgbase}" 'libmcrypt' 'libltdl')
- provides=("${pkgbase}-mcrypt=$pkgver")
+ pkgdesc='mcrypt module for PHP'
+ depends=("${pkgbase}" 'libmcrypt' 'libltdl')
+ provides=("${pkgbase}-mcrypt=$pkgver")
- install -D -m755 ${srcdir}/build/modules/mcrypt.so ${pkgdir}/usr/lib/${pkgbase}/modules/mcrypt.so
+ install -D -m755 ${srcdir}/build/modules/mcrypt.so ${pkgdir}/usr/lib/${pkgbase}/modules/mcrypt.so
}
package_php70-odbc() {
- pkgdesc='ODBC modules for PHP'
- depends=("${pkgbase}" 'unixodbc')
- provides=("${pkgbase}-odbc=$pkgver")
+ pkgdesc='ODBC modules for PHP'
+ depends=("${pkgbase}" 'unixodbc')
+ provides=("${pkgbase}-odbc=$pkgver")
- install -D -m755 ${srcdir}/build/modules/odbc.so ${pkgdir}/usr/lib/${pkgbase}/modules/odbc.so
- install -D -m755 ${srcdir}/build/modules/pdo_odbc.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_odbc.so
+ install -D -m755 ${srcdir}/build/modules/odbc.so ${pkgdir}/usr/lib/${pkgbase}/modules/odbc.so
+ install -D -m755 ${srcdir}/build/modules/pdo_odbc.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_odbc.so
}
package_php70-pgsql() {
- pkgdesc='PostgreSQL modules for PHP'
- depends=("${pkgbase}" 'postgresql-libs')
- provides=("${pkgbase}-pgsql=$pkgver")
+ pkgdesc='PostgreSQL modules for PHP'
+ depends=("${pkgbase}" 'postgresql-libs')
+ provides=("${pkgbase}-pgsql=$pkgver")
- install -D -m755 ${srcdir}/build/modules/pgsql.so ${pkgdir}/usr/lib/${pkgbase}/modules/pgsql.so
- install -D -m755 ${srcdir}/build/modules/pdo_pgsql.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_pgsql.so
+ install -D -m755 ${srcdir}/build/modules/pgsql.so ${pkgdir}/usr/lib/${pkgbase}/modules/pgsql.so
+ install -D -m755 ${srcdir}/build/modules/pdo_pgsql.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_pgsql.so
}
package_php70-pspell() {
- pkgdesc='pspell module for PHP'
- depends=("${pkgbase}" 'aspell')
- provides=("${pkgbase}-pspell=$pkgver")
+ pkgdesc='pspell module for PHP'
+ depends=("${pkgbase}" 'aspell')
+ provides=("${pkgbase}-pspell=$pkgver")
- install -D -m755 ${srcdir}/build/modules/pspell.so ${pkgdir}/usr/lib/${pkgbase}/modules/pspell.so
+ install -D -m755 ${srcdir}/build/modules/pspell.so ${pkgdir}/usr/lib/${pkgbase}/modules/pspell.so
}
package_php70-snmp() {
- pkgdesc='snmp module for PHP'
- depends=("${pkgbase}" 'net-snmp')
- provides=("${pkgbase}-snmp=$pkgver")
+ pkgdesc='snmp module for PHP'
+ depends=("${pkgbase}" 'net-snmp')
+ provides=("${pkgbase}-snmp=$pkgver")
- install -D -m755 ${srcdir}/build/modules/snmp.so ${pkgdir}/usr/lib/${pkgbase}/modules/snmp.so
+ install -D -m755 ${srcdir}/build/modules/snmp.so ${pkgdir}/usr/lib/${pkgbase}/modules/snmp.so
}
package_php70-sqlite() {
- pkgdesc='sqlite module for PHP'
- depends=("${pkgbase}" 'sqlite')
- provides=("${pkgbase}-sqlite=$pkgver")
+ pkgdesc='sqlite module for PHP'
+ depends=("${pkgbase}" 'sqlite')
+ provides=("${pkgbase}-sqlite=$pkgver")
- install -D -m755 ${srcdir}/build/modules/sqlite3.so ${pkgdir}/usr/lib/${pkgbase}/modules/sqlite3.so
- install -D -m755 ${srcdir}/build/modules/pdo_sqlite.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_sqlite.so
+ install -D -m755 ${srcdir}/build/modules/sqlite3.so ${pkgdir}/usr/lib/${pkgbase}/modules/sqlite3.so
+ install -D -m755 ${srcdir}/build/modules/pdo_sqlite.so ${pkgdir}/usr/lib/${pkgbase}/modules/pdo_sqlite.so
}
package_php70-tidy() {
- pkgdesc='tidy module for PHP'
- depends=("${pkgbase}" 'tidyhtml')
- provides=("${pkgbase}-tidy=$pkgver")
+ pkgdesc='tidy module for PHP'
+ depends=("${pkgbase}" 'tidyhtml')
+ provides=("${pkgbase}-tidy=$pkgver")
- install -D -m755 ${srcdir}/build/modules/tidy.so ${pkgdir}/usr/lib/${pkgbase}/modules/tidy.so
+ install -D -m755 ${srcdir}/build/modules/tidy.so ${pkgdir}/usr/lib/${pkgbase}/modules/tidy.so
}
package_php70-xsl() {
- pkgdesc='xsl module for PHP'
- depends=("${pkgbase}" 'libxslt')
- provides=("${pkgbase}-xsl=$pkgver")
+ pkgdesc='xsl module for PHP'
+ depends=("${pkgbase}" 'libxslt')
+ provides=("${pkgbase}-xsl=$pkgver")
- install -D -m755 ${srcdir}/build/modules/xsl.so ${pkgdir}/usr/lib/${pkgbase}/modules/xsl.so
+ install -D -m755 ${srcdir}/build/modules/xsl.so ${pkgdir}/usr/lib/${pkgbase}/modules/xsl.so
}